## infon 0~r198

=== Makefile ===
all: targets

ifndef REVISION
-include REVISION
endif

# EVENT_NAME = Computer Night 2006
# EVENT_HOST = 172.30.100.1

CFLAGS += -pedantic -std=gnu99 -Wall -DREVISION="\"$(REVISION)\""
LUA     = lua-5.1.2

ifdef EVENT_NAME
	CFLAGS += -DEVENT_NAME="\"$(EVENT_NAME)\""
endif

ifdef EVENT_HOST
	CFLAGS += -DEVENT_HOST="\"$(EVENT_HOST)\""
endif

ifdef WINDOWS 
	OPTIMIZE=1
endif

ifdef OPTIMIZE
	CFLAGS += -O3 -fexpensive-optimizations -finline-functions -fomit-frame-pointer -DNDEBUG
else
	CFLAGS += -ggdb
endif

ifdef WINDOWS
	PREFIX           ?= .\\\\
	MINGW             = $(HOME)/progs/mingw32/
	SDLDIR            = $(MINGW)
	CC                = /opt/xmingw/bin/i386-mingw32msvc-gcc
	CFLAGS           += -I$(MINGW)/include
	WINDRES           = /opt/xmingw/bin/i386-mingw32msvc-windres
	STRIP             = /opt/xmingw/bin/i386-mingw32msvc-strip
	LUAPLAT            = mingw
	INFON_EXECUTABLE  = infon.exe

	SDL_RENDERER      = sdl_gui.dll
	GL_RENDERER       = gl_gui.dll
	NULL_RENDERER     = null_gui.dll

	RENDERER          = $(SDL_RENDERER) $(GL_RENDERER)
else
	PREFIX           ?= ./
	SDLDIR           := $(shell sdl-config --prefix)
ifdef OPTIMIZE
	LUAPLAT           = optimize
else
	LUAPLAT           = debug
endif

	INFON_EXECUTABLE  = infon
	INFOND_EXECUTABLE = infond

	NULL_RENDERER     = null_gui.so
	SDL_RENDERER      = sdl_gui.so
	GL_RENDERER       = gl_gui.so 
	AA_RENDERER       = aa_gui.so
	LILITH_RENDERER   = lilith_gui.so 

	RENDERER          = $(SDL_RENDERER) $(NULL_RENDERER) $(GL_RENDERER)
endif

CFLAGS += -DPREFIX=\"$(PREFIX)\"

############################################################
# Target specific Configuration
############################################################

ifdef WINDOWS
$(INFON_EXECUTABLE) : LDFLAGS  += $(MINGW)/lib/libevent.a $(MINGW)/lib/libz.a \
                                  -lmingw32 $(MINGW)/lib/libSDLmain.a -lwsock32 -mwindows -Wl,-s
$(INFON_EXECUTABLE) : infon.res

$(SDL_RENDERER)     : CFLAGS   += -I$(SDLDIR)/include/SDL 
$(SDL_RENDERER)     : LDFLAGS  += $(MINGW)/lib/libSGE.a $(MINGW)/lib/libevent.a $(MINGW)/lib/libSDL_image.a \
                                  $(MINGW)/lib/libpng.a $(MINGW)/lib/libz.a     $(MINGW)/lib/libSDL_gfx.a $(MINGW)/lib/libSDL.a \
                                  -lmingw32 -lstdc++ -lwsock32 -lwinmm -mwindows -Wl,-s
$(SDL_RENDERER)     : infon.res

$(GL_RENDERER)      : CFLAGS   += -I$(SDLDIR)/include/SDL 
$(GL_RENDERER)      : LDFLAGS  += $(MINGW)/lib/libSGE.a $(MINGW)/lib/libevent.a \
                                  $(MINGW)/lib/libz.a   $(MINGW)/lib/libSDL.a \
                                  -lmingw32 -lopengl32 -lglu32 -lstdc++ -lwsock32 -lwinmm -mwindows -Wl,-s
$(GL_RENDERER)      : infon.res
else
$(INFON_EXECUTABLE) : LDFLAGS  += -levent -lz -lm 

# Example for embedding a renderer
ifdef NULL_INFON
$(INFON_EXECUTABLE) : CFLAGS   += -DNO_EXTERNAL_RENDERER -DBUILTIN_RENDERER=null_gui
$(INFON_EXECUTABLE) : null_gui.o
else
ifdef SDL_INFON
$(INFON_EXECUTABLE) : CFLAGS   += -DNO_EXTERNAL_RENDERER -DBUILTIN_RENDERER=sdl_gui -I$(SDLDIR)/include/SDL 
$(INFON_EXECUTABLE) : LDFLAGS  += -lSDL -lSDL_image -lSGE -lSDL_gfx 
$(INFON_EXECUTABLE) : sdl_video.o sdl_sprite.o sdl_gui.o
else
$(INFON_EXECUTABLE) : LDFLAGS  += -ldl
misc.o              : CFLAGS   += -fPIC
endif
endif

$(INFOND_EXECUTABLE): CFLAGS   += -I$(LUA)/src/ # -DCHEATS
$(INFOND_EXECUTABLE): LDFLAGS  += -levent -lz -lm

# Experimental usage of 'all of lua in one file' as seen in lua-5.1.2/etc/all.c
ifdef OPTIMIZE
$(INFOND_EXECUTABLE): luacore.o
luacore.o           : CFLAGS   += -DLUA_USE_POSIX
else
$(INFOND_EXECUTABLE): $(LUA)/src/liblua.a
endif

$(SDL_RENDERER)     : CFLAGS   += -fPIC -I$(SDLDIR)/include/SDL 
$(SDL_RENDERER)     : LDFLAGS  += -lSDL -lSDL_image -lSGE -lSDL_gfx 

$(GL_RENDERER)      : CFLAGS   += -fPIC -I$(SDLDIR)/include/SDL 
$(GL_RENDERER)      : LDFLAGS  += -lSDL -lGL -lGLU

$(AA_RENDERER)      : CFLAGS   += -fPIC
$(AA_RENDERER)      : LDFLAGS  += -laa

$(LILITH_RENDERER)  : CPPFLAGS += -fPIC
$(LILITH_RENDERER)  : LDFLAGS  += -lSDL -lGL -lGLU -lstdc++ 

$(NULL_RENDERER)    : CFLAGS   += -fPIC
endif

gl_gui.o			: CFLAGS   += -Wno-unused

ifdef DEFAULT_RENDERER
$(INFON_EXECUTABLE) : CFLAGS   += -DDEFAULT_RENDERER=$(DEFAULT_RENDERER)
endif

############################################################
# Go Go Go!
############################################################

targets: infond $(INFON_EXECUTABLE) $(RENDERER)

dist:
	$(MAKE) distclean
	$(MAKE) source-dist
	$(MAKE) clean
	WINDOWS=1  $(MAKE) win32-client-dist
	$(MAKE) clean
	OPTIMIZE=1 $(MAKE) linux-client-dist
	$(MAKE) clean
	$(MAKE) linux-server-dist

source-dist: REVISION 
	tar cvzh -C.. --exclude ".svn" --exclude "infon-source*" --file infon-source-r$(REVISION).tgz infon

win32-client-dist: $(INFON_EXECUTABLE) $(SDL_RENDERER) $(GL_RENDERER)
	$(STRIP) $^
	upx -9 --all-methods $(INFON_EXECUTABLE)
	upx -9 --all-methods $(SDL_RENDERER)
	upx -9 --all-methods $(GL_RENDERER)
	zip infon-win32-r$(REVISION).zip \
		README.txt $^ gfx/*.fnt gfx/*.png gfx/*.bmp gfx/*.mdl \
		contrib/bots/*.lua contrib/bots/*.txt

linux-client-dist: $(INFON_EXECUTABLE) $(SDL_RENDERER) $(NULL_RENDERER) $(GL_RENDERER)
	strip $^
	tar cfvz infon-linux-i386-r$(REVISION).tgz \
		README.txt $^ gfx/*.fnt gfx/*.png gfx/*.bmp gfx/*.mdl \
		contrib/bots/*.lua contrib/bots/*.txt

linux-server-dist: $(INFOND_EXECUTABLE) infond-wrapper
	tar cfvz infond-linux-i386-r$(REVISION).tgz \
		README.txt $(INFOND_EXECUTABLE) infond-wrapper $(INFOND_EXECUTABLE)-static \
		*.lua level/*.lua rules/*.lua api/*.lua libs/*.lua \
		contrib/bots/*.lua contrib/bots/*.txt

$(INFOND_EXECUTABLE): infond.o server.o listener.o map.o path.o misc.o packet.o player.o world.o creature.o scroller.o game.o pinger.o
	$(CC) $^ $(LDFLAGS) -o $@
	$(CC) $^ $(LDFLAGS) -static -o $@-static

$(INFON_EXECUTABLE): infon.o client.o packet.o misc.o client_player.o client_world.o client_creature.o client_game.o renderer.o
	$(CC) $^ $(LDFLAGS) -o $@ 

$(NULL_RENDERER) : null_gui.o
	$(CC) $^ -shared -o $@

$(AA_RENDERER): aa_gui.o
	$(CC) $^ $(LDFLAGS) -shared -o $@

$(SDL_RENDERER): sdl_video.o sdl_sprite.o sdl_gui.o misc.o
	$(CC) $^ $(LDFLAGS) -shared -o $@

$(GL_RENDERER): gl_video.o gl_gui.o gl_mdl.o misc.o
	$(CC) $^ $(LDFLAGS) -shared -o $@

$(LILITH_RENDERER): lilith_gui.o misc.o lilith/lilith/liblilith.a
	$(CC) $^ $(LDFLAGS) -shared -o $@

infon.res: infon.rc
	$(WINDRES) -i $^ -DREVISION="\\\"$(REVISION)\\\"" --input-format=rc -o $@ -O coff

$(LUA)/src/liblua.a:
	$(MAKE) -C $(LUA) $(LUAPLAT)

%.o:%.c
	$(CC) $(CFLAGS) $^ -c -o $@

%.o:%.cpp
	$(CXX) $(CPPFLAGS) $^ -c -o $@

REVISION:
	echo "REVISION=`svnversion .`" > $@

clean: 
	-rm -f *.o *.so *.dll infond infond-static infon infon.exe infon.res tags

distclean: clean
	$(MAKE) -C $(LUA) clean 
	-rm -f infon*.zip infon*.tgz *.orig *.rej infond-*.demo infond-wrapper REVISION

=== lua-5.1.2/Makefile ===
# makefile for installing Lua
# see INSTALL for installation instructions
# see src/Makefile and src/luaconf.h for further customization

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

# Where to install. The installation starts in the src directory, so take care
# if INSTALL_TOP is not an absolute path. (Man pages are installed from the
# doc directory.) You may want to make these paths consistent with LUA_ROOT,
# LUA_LDIR, and LUA_CDIR in luaconf.h (and also with etc/lua.pc).
#
INSTALL_TOP= /usr/local
INSTALL_BIN= $(INSTALL_TOP)/bin
INSTALL_INC= $(INSTALL_TOP)/include
INSTALL_LIB= $(INSTALL_TOP)/lib
INSTALL_MAN= $(INSTALL_TOP)/man/man1
INSTALL_LMOD= $(INSTALL_TOP)/share/lua/$V
INSTALL_CMOD= $(INSTALL_TOP)/lib/lua/$V

# How to install. You may prefer "install" instead of "cp" if you have it.
# To remove debug information from binaries, use "install -s" in INSTALL_EXEC.
#
INSTALL_EXEC= $(CP)
INSTALL_DATA= $(CP)
#INSTALL_EXEC= $(INSTALL) -m 0755
#INSTALL_DATA= $(INSTALL) -m 0644

# Utilities.
CP= cp
FIND= find
INSTALL= install
MKDIR= mkdir
RANLIB= ranlib

# == END OF USER SETTINGS. NO NEED TO CHANGE ANYTHING BELOW THIS LINE =========

# Convenience platforms targets.
PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris debug optimize

# What to install.
TO_BIN= lua luac
TO_INC= lua.h luaconf.h lualib.h lauxlib.h ../etc/lua.hpp
TO_LIB= liblua.a
TO_MAN= lua.1 luac.1

# Lua version and release.
V= 5.1
R= 5.1.2

all:	$(PLAT)

$(PLATS) clean:
	cd src && $(MAKE) $@

test:	dummy
	src/lua test/hello.lua

install: dummy
	cd src && $(MKDIR) -p $(INSTALL_BIN) $(INSTALL_INC) $(INSTALL_LIB) $(INSTALL_MAN) $(INSTALL_LMOD) $(INSTALL_CMOD)
	cd src && $(INSTALL_EXEC) $(TO_BIN) $(INSTALL_BIN)
	cd src && $(INSTALL_DATA) $(TO_INC) $(INSTALL_INC)
	cd src && $(INSTALL_DATA) $(TO_LIB) $(INSTALL_LIB)
	cd doc && $(INSTALL_DATA) $(TO_MAN) $(INSTALL_MAN)
#	$(RANLIB) $(INSTALL_LIB)/$(TO_LIB)

local:
	$(MAKE) install INSTALL_TOP=.. INSTALL_EXEC="cp -p" INSTALL_DATA="cp -p"

none:
	@echo "Please do"
	@echo "   make PLATFORM"
	@echo "where PLATFORM is one of these:"
	@echo "   $(PLATS)"
	@echo "See INSTALL for complete instructions."

# make may get confused with test/ and INSTALL in a case-insensitive OS
dummy:

# echo config parameters
echo:
	@echo ""
	@echo "These are the parameters currently set in src/Makefile to build Lua $R:"
	@echo ""
	@cd src && $(MAKE) -s echo
	@echo ""
	@echo "These are the parameters currently set in Makefile to install Lua $R:"
	@echo ""
	@echo "PLAT = $(PLAT)"
	@echo "INSTALL_TOP = $(INSTALL_TOP)"
	@echo "INSTALL_BIN = $(INSTALL_BIN)"
	@echo "INSTALL_INC = $(INSTALL_INC)"
	@echo "INSTALL_LIB = $(INSTALL_LIB)"
	@echo "INSTALL_MAN = $(INSTALL_MAN)"
	@echo "INSTALL_LMOD = $(INSTALL_LMOD)"
	@echo "INSTALL_CMOD = $(INSTALL_CMOD)"
	@echo "INSTALL_EXEC = $(INSTALL_EXEC)"
	@echo "INSTALL_DATA = $(INSTALL_DATA)"
	@echo ""
	@echo "See also src/luaconf.h ."
	@echo ""

# echo private config parameters
pecho:
	@echo "V = $(V)"
	@echo "R = $(R)"
	@echo "TO_BIN = $(TO_BIN)"
	@echo "TO_INC = $(TO_INC)"
	@echo "TO_LIB = $(TO_LIB)"
	@echo "TO_MAN = $(TO_MAN)"

# echo config parameters as Lua code
# uncomment the last sed expression if you want nil instead of empty strings
lecho:
	@echo "-- installation parameters for Lua $R"
	@echo "VERSION = '$V'"
	@echo "RELEASE = '$R'"
	@$(MAKE) echo | grep = | sed -e 's/= /= "/' -e 's/$$/"/' #-e 's/""/nil/'
	@echo "-- EOF"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) clean test install local none dummy echo pecho lecho

# (end of Makefile)

=== lua-5.1.2/src/Makefile ===
# makefile for building Lua
# see ../INSTALL for installation instructions
# see ../Makefile and luaconf.h for further customization

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

CC?= gcc
CFLAGS= -O2 -Wall $(MYCFLAGS)
AR= ar rcu
RANLIB= ranlib
RM= rm -f
LIBS= -lm $(MYLIBS)

MYCFLAGS=
MYLDFLAGS=
MYLIBS=

# == END OF USER SETTINGS. NO NEED TO CHANGE ANYTHING BELOW THIS LINE =========

PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris debug optimize

LUA_A=	liblua.a
CORE_O=	lapi.o lcode.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o \
	lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o  \
	lundump.o lvm.o lzio.o
LIB_O=	lauxlib.o lbaselib.o ldblib.o liolib.o lmathlib.o loslib.o ltablib.o \
	lstrlib.o loadlib.o linit.o

LUA_T=	lua
LUA_O=	lua.o

LUAC_T=	luac
LUAC_O=	luac.o print.o

ALL_O= $(CORE_O) $(LIB_O) $(LUA_O) $(LUAC_O)
ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T)
ALL_A= $(LUA_A)

default: $(PLAT)

all:	$(ALL_T)

o:	$(ALL_O)

a:	$(ALL_A)

$(LUA_A): $(CORE_O) $(LIB_O)
	$(AR) $@ $?
	$(RANLIB) $@

$(LUA_T): $(LUA_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)

$(LUAC_T): $(LUAC_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUAC_O) $(LUA_A) $(LIBS)

clean:
	$(RM) $(ALL_T) $(ALL_O)

depend:
	@$(CC) $(CFLAGS) -MM l*.c print.c

echo:
	@echo "PLAT = $(PLAT)"
	@echo "CC = $(CC)"
	@echo "CFLAGS = $(CFLAGS)"
	@echo "AR = $(AR)"
	@echo "RANLIB = $(RANLIB)"
	@echo "RM = $(RM)"
	@echo "MYCFLAGS = $(MYCFLAGS)"
	@echo "MYLDFLAGS = $(MYLDFLAGS)"
	@echo "MYLIBS = $(MYLIBS)"

# convenience targets for popular platforms

none:
	@echo "Please choose a platform:"
	@echo "   $(PLATS)"

aix:
	$(MAKE) all CC="xlc" CFLAGS="-O2 -DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl" MYLDFLAGS="-brtl -bexpall"

ansi:
	$(MAKE) all MYCFLAGS=-DLUA_ANSI

bsd:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-Wl,-E"

generic:
	$(MAKE) all MYCFLAGS=

debug:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -ggdb -DLUA_USE_APICHECK" MYLIBS="-Wl,-E -ldl -lreadline -lhistory -lncurses"
	
optimize:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -fexpensive-optimizations -finline-functions -fomit-frame-pointer"

linux:
	$(MAKE) all MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-Wl,-E -ldl -lreadline -lhistory -lncurses"

macosx:
	$(MAKE) all MYCFLAGS=-DLUA_USE_MACOSX
# use this on Mac OS X 10.4
#	$(MAKE) all MYCFLAGS="-DLUA_USE_MACOSX -DLUA_USE_READLINE" MYLIBS="-lreadline"

mingw:
	$(MAKE) "LUA_A=lua51.dll" "LUA_T=lua.exe" \
	"AR=$(CC) -shared -o" "RANLIB=strip --strip-unneeded" \
	"MYCFLAGS=-DLUA_BUILD_AS_DLL" "MYLIBS=" "MYLDFLAGS=-s" lua.exe
	$(MAKE) "LUAC_T=luac.exe" luac.exe

posix:
	$(MAKE) all MYCFLAGS=-DLUA_USE_POSIX

solaris:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) default o a clean depend echo none

# DO NOT DELETE

lapi.o: lapi.c lua.h luaconf.h lapi.h lobject.h llimits.h ldebug.h \
  lstate.h ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h \
  lundump.h lvm.h
lauxlib.o: lauxlib.c lua.h luaconf.h lauxlib.h
lbaselib.o: lbaselib.c lua.h luaconf.h lauxlib.h lualib.h
lcode.o: lcode.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h lgc.h \
  ltable.h
ldblib.o: ldblib.c lua.h luaconf.h lauxlib.h lualib.h
ldebug.o: ldebug.c lua.h luaconf.h lapi.h lobject.h llimits.h lcode.h \
  llex.h lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h lvm.h
ldo.o: ldo.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lparser.h lstring.h \
  ltable.h lundump.h lvm.h
ldump.o: ldump.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h lundump.h
lfunc.o: lfunc.c lua.h luaconf.h lfunc.h lobject.h llimits.h lgc.h lmem.h \
  lstate.h ltm.h lzio.h
lgc.o: lgc.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h
linit.o: linit.c lua.h luaconf.h lualib.h lauxlib.h
liolib.o: liolib.c lua.h luaconf.h lauxlib.h lualib.h
llex.o: llex.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h llex.h lparser.h lstring.h lgc.h ltable.h
lmathlib.o: lmathlib.c lua.h luaconf.h lauxlib.h lualib.h
lmem.o: lmem.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h
loadlib.o: loadlib.c lauxlib.h lua.h luaconf.h lobject.h llimits.h \
  lualib.h
lobject.o: lobject.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h \
  ltm.h lzio.h lmem.h lstring.h lgc.h lvm.h
lopcodes.o: lopcodes.c lopcodes.h llimits.h lua.h luaconf.h
loslib.o: loslib.c lua.h luaconf.h lauxlib.h lualib.h
lparser.o: lparser.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h
lstate.o: lstate.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h llex.h lstring.h ltable.h
lstring.o: lstring.c lua.h luaconf.h lmem.h llimits.h lobject.h lstate.h \
  ltm.h lzio.h lstring.h lgc.h
lstrlib.o: lstrlib.c lua.h luaconf.h lauxlib.h lualib.h
ltable.o: ltable.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lgc.h ltable.h
ltablib.o: ltablib.c lua.h luaconf.h lauxlib.h lualib.h
ltm.o: ltm.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h lzio.h \
  lmem.h lstring.h lgc.h ltable.h
lua.o: lua.c lua.h luaconf.h lauxlib.h lualib.h
luac.o: luac.c lua.h luaconf.h lauxlib.h ldo.h lobject.h llimits.h \
  lstate.h ltm.h lzio.h lmem.h lfunc.h lopcodes.h lstring.h lgc.h \
  lundump.h
lundump.o: lundump.c lua.h luaconf.h ldebug.h lstate.h lobject.h \
  llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lstring.h lgc.h lundump.h
lvm.o: lvm.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lstring.h ltable.h lvm.h
lzio.o: lzio.c lua.h luaconf.h llimits.h lmem.h lstate.h lobject.h ltm.h \
  lzio.h
print.o: print.c ldebug.h lstate.h lua.h luaconf.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h lopcodes.h lundump.h

# (end of Makefile)

=== debian/changelog ===
infon (0~r198-8) unstable; urgency=low

  * Depend on libsdl-image1.2-dev (Closes: #674360) 

 -- Joachim Breitner <nomeata@debian.org>  Sat, 26 May 2012 18:02:21 +0200

infon (0~r198-7) unstable; urgency=low

  * Depend on libncurses-dev (Closes: #669302)

 -- Joachim Breitner <nomeata@debian.org>  Thu, 19 Apr 2012 09:46:26 +0200

infon (0~r198-6) unstable; urgency=low

  Got some nice packaging cleanup by Jari Aalto, thanks for that (Closes:
  668937):

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix copyright-with-old-dh-make-debian-copyright (Lintian).
  * Fix debian-rules-ignores-make-clean-error (Lintian).

 -- Joachim Breitner <nomeata@debian.org>  Sun, 15 Apr 2012 22:01:33 +0200

infon (0~r198-5) unstable; urgency=low

  * Reorganize targets in debian/rules (Closes: #666291)

 -- Joachim Breitner <nomeata@debian.org>  Wed, 04 Apr 2012 21:32:47 +0200

infon (0~r198-4) unstable; urgency=low

  * Depend on kdebase-bin instead of kdebase, as pointed out by Daniel Roschka 
  * Put binaries in /usr/games 

 -- Joachim Breitner <nomeata@debian.org>  Sun, 07 Aug 2011 10:21:04 +0200

infon (0~r198-3) unstable; urgency=low

  * Depend on libreadline-dev instead of libreadline5-dev
  * Extend infon(6) manpage (Closes: #445647)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 13 Sep 2009 15:35:28 +0200

infon (0~r198-2) unstable; urgency=low

  * Uses metainit for the init script

 -- Joachim Breitner <nomeata@debian.org>  Mon, 16 Jul 2007 16:05:19 +0200

infon (0~r198-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 01 Jun 2007 21:39:34 +0200

infon (0~r139-1) unstable; urgency=low

  * New upstream release
  * Dropping patches/20-quieten-infond.dpatch, upstream supports a flag for
    that
  * Upload to unstable, since etch is frozen.
  * Sponsored by http://www.aiti-kace.com.gh/

 -- Joachim Breitner <nomeata@debian.org>  Fri, 22 Dec 2006 16:35:26 +0000

infon (0~r99-2) experimental; urgency=low

  * missing build-dep on dpatch (Closes: #402608)
    (I thought I had checked it in pbuilder. I thought wrongly)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 11 Dec 2006 18:02:29 +0000

infon (0~r99-1) experimental; urgency=low

  * New upstream version
  * Added XS-Vcs-Svn header
  * Sponsored by AITI-KACE, Accra, Ghana

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Nov 2006 13:29:51 +0000

infon (0~r89-1) experimental; urgency=low

  * Initial release 
  * Upload to experimental as per release manager’s wish
  * Sponsored by AITI-KACE, Accra, Ghana

 -- Joachim Breitner <nomeata@debian.org>  Tue, 21 Nov 2006 09:26:56 +0000

=== debian/control ===
Source: infon
Section: games
Priority: extra
Maintainer: Joachim Breitner <nomeata@debian.org>
Build-Depends: debhelper (>= 9),
  libevent-dev,
  zlib1g-dev,
  libreadline-dev,
  libncurses-dev,
  libsdl1.2-dev,
  libsdl-gfx1.2-dev,
  libsdl-image1.2-dev,
  libsdl-sge-dev,
  dh-metainit
Standards-Version: 3.9.3
Homepage: http://infon.dividuum.de/
XS-Vcs-Svn: http://infon.dividuum.de/svn/infon/trunk/contrib/debian

Package: infon-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, metainit
Description: Program bugs to compete for food and survival - Server
 Infon is a game which simulates the live of simple bugs who eat,
 propagate, eat each other and evolve. The players can not control
 the bugs directly but write their “intelligence” in the simple
 script language lua and upload it to the game using a plain telnet
 connection. The code can then be modified even while the game
 is running.
 .
 This package contains the infon server which hosts the game. To
 upload code to it, you only need a telnet client. To be able to
 view the game, see the infon-viewer package.

Package: infon-viewer
Architecture: any
Recommends: infon-devel
Suggests: infon-server
Depends: ${shlibs:Depends}, ${misc:Depends}, ssft, zenity | kdebase-bin
Description: Program bugs to compete for food and survival - GUI
 Infon is a game which simulates the live of simple bugs who eat,
 propagate, eat each other and evolve. The players can not control
 the bugs directly but write their “intelligence” in the simple
 script language lua and upload it to the game using a plain telnet
 connection. The code can then be modified even while the game
 is running.
 .
 This package contains the graphical client to view the game
 in progress. To host a game, see the infon-server package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export CFLAGS = -Wall -g -DDAEMONIZING -DNO_CONSOLE_CLIENT -DRENDERER_PATH=\"/usr/lib/infon-viewer/\"

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


addfiles_in: addfiles-stamp
addfiles-stamp:
	cp debian/addfiles/* .
	chmod +x infon-wrapper
	touch addfiles-stamp

addfiles_out:
	for file in debian/addfiles/*; do rm -f $$(basename $$file); done
	rm -f addfiles-stamp

#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: addfiles_in configure-stamp 

	# Add here commands to compile the arch part of the package.
	$(MAKE) infond PREFIX=/usr/share/infon-server/
	$(MAKE) infon sdl_gui.so null_gui.so PREFIX=/usr/share/infon-viewer/
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: addfiles_in configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean: addfiles_out
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) distclean

	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs -i

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -s

	#(MAKE) DESTDIR=$(CURDIR)/debian/infon install
	
	ln -s ../../../etc/infond/config.lua debian/infon-server/usr/share/infon-server/config.lua
	ln -s ../../../etc/infond/rules debian/infon-server/usr/share/infon-server/rules

	dh_install -s

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
	dh_installmenu
	#dh_installinit
	dh_installman
	dh_metainit
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

#binary: binary-arch binary-indep
binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
